%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-HTTP-Message
Version:       6.30
Release:       1mamba
Summary:       HTTP::Message - HTTP style message (base class)
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/HTTP/HTTP-Message-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-HTTP-Date
BuildRequires: perl-URI
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-IO-HTML
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
HTTP::Message - HTTP style message (base class).

%prep
%setup -q -n HTTP-Message-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 6.30-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 6.29-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 6.28-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 6.06-1mamba
- package created by autospec
